Bug 1461670 - [abrt] plasma-discover: QQuickItem::qt_static_metacall(): plasma-discover killed by signal 11
[abrt] plasma-discover: QQuickItem::qt_static_metacall(): plasma-discover kil...
Status: NEW
Product: Fedora
Classification: Fedora
Component: plasma-discover (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4aa7e69599e2d22cb5728d23d8a...
:
: 1474056 1482689 1483340 1494861 1502102 1508067 1509400 1511809 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 02:29 EDT by Mustafa Muhammad
Modified: 2017-11-18 10:49 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (623.09 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: core_backtrace (110.39 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: dso_list (25.63 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: environ (1.78 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: maps (121.81 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: open_fds (3.22 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details
File: var_log_messages (5.70 KB, text/plain)
2017-06-15 02:29 EDT, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2017-06-15 02:29:11 EDT
Version-Release number of selected component:
plasma-discover-5.10.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/plasma-discover
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=eaa04589e6304d3480759ba488468e82;i=5692;b=cc9bde4981ea42b8a2afcd290975bd21;m=101f5963;t=551f972f08da4;x=c02f56f1df682a55
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QQuickItem::qt_static_metacall at .moc/moc_qquickitem.cpp:927
 #1 QQuickItem::qt_metacall at .moc/moc_qquickitem.cpp:998
 #2 QQuickControl::qt_metacall at .moc/moc_qquickcontrol_p.cpp:456
 #3 QQuickScrollBar::qt_metacall at .moc/moc_qquickscrollbar_p.cpp:240
 #4 QV4::QObjectWrapper::setProperty at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:513
 #5 QV4::QObjectWrapper::setQmlProperty at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:431
 #6 QV4::QObjectWrapper::put at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:704
 #7 QV4::Object::put at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4object_p.h:310
 #8 QV4::Runtime::setProperty at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4runtime.cpp:603
 #9 ??
Comment 1 Mustafa Muhammad 2017-06-15 02:29:20 EDT
Created attachment 1287923 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2017-06-15 02:29:22 EDT
Created attachment 1287924 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2017-06-15 02:29:25 EDT
Created attachment 1287925 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2017-06-15 02:29:27 EDT
Created attachment 1287926 [details]
File: cpuinfo
Comment 5 Mustafa Muhammad 2017-06-15 02:29:29 EDT
Created attachment 1287927 [details]
File: dso_list
Comment 6 Mustafa Muhammad 2017-06-15 02:29:31 EDT
Created attachment 1287928 [details]
File: environ
Comment 7 Mustafa Muhammad 2017-06-15 02:29:32 EDT
Created attachment 1287929 [details]
File: exploitable
Comment 8 Mustafa Muhammad 2017-06-15 02:29:34 EDT
Created attachment 1287930 [details]
File: limits
Comment 9 Mustafa Muhammad 2017-06-15 02:29:37 EDT
Created attachment 1287931 [details]
File: maps
Comment 10 Mustafa Muhammad 2017-06-15 02:29:39 EDT
Created attachment 1287932 [details]
File: open_fds
Comment 11 Mustafa Muhammad 2017-06-15 02:29:40 EDT
Created attachment 1287933 [details]
File: proc_pid_status
Comment 12 Mustafa Muhammad 2017-06-15 02:29:42 EDT
Created attachment 1287934 [details]
File: var_log_messages
Comment 13 Simon 2017-06-17 08:18:30 EDT
Can confirm this bug

Thread 1 (Thread 0x7f3e8b09e8c0 (LWP 4239)):
[KCrash Handler]
#6  0x00007f3e4a3dd5fd in FlatpakBackend::setupFlatpakInstallations(_GError**) () from /usr/lib64/qt5/plugins/discover/flatpak-backend.so
#7  0x00007f3e4a3e3a38 in FlatpakBackend::FlatpakBackend(QObject*) () from /usr/lib64/qt5/plugins/discover/flatpak-backend.so
#8  0x00007f3e4a3e66bb in FlatpakBackendFactory::newInstance(QObject*, QString const&) const () from /usr/lib64/qt5/plugins/discover/flatpak-backend.so
#9  0x00007f3e8a3f1427 in DiscoverBackendsFactory::backendForFile(QString const&, QString const&) const () from /usr/lib64/plasma-discover/libDiscoverCommon.so
#10 0x00007f3e8a3f1abb in DiscoverBackendsFactory::backend(QString const&) const () from /usr/lib64/plasma-discover/libDiscoverCommon.so
#11 0x00007f3e8a3f1f27 in DiscoverBackendsFactory::allBackends() const () from /usr/lib64/plasma-discover/libDiscoverCommon.so
#12 0x00007f3e8a3e0a0a in ResourcesModel::registerAllBackends() () from /usr/lib64/plasma-discover/libDiscoverCommon.so
#13 0x00007f3e8a401a15 in ResourcesModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/plasma-discover/libDiscoverCommon.so
#14 0x00007f3e87058199 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#15 0x00007f3e8806fd9c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#16 0x00007f3e880773d4 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#17 0x00007f3e8702fb8b in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#18 0x00007f3e87031d6b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#19 0x00007f3e8707ec73 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#20 0x00007f3e7f57a277 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#21 0x00007f3e7f57a618 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#22 0x00007f3e7f57a6ac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#23 0x00007f3e8707ecef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#24 0x00007f3e8702eb8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#25 0x00007f3e870367dc in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#26 0x000056457120a6c0 in main ()
Comment 14 Xadai Henrique 2017-07-23 09:06:23 EDT
*** Bug 1474056 has been marked as a duplicate of this bug. ***
Comment 15 sponsi 2017-08-17 17:25:52 EDT
*** Bug 1482689 has been marked as a duplicate of this bug. ***
Comment 16 Tadeu Longo 2017-08-20 13:48:35 EDT
*** Bug 1483340 has been marked as a duplicate of this bug. ***
Comment 17 Paulo Fidalgo 2017-09-08 17:19:04 EDT
Similar problem has been detected:

I've just tried to install the rpm fusion after a new install based on KDE SIG image.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        plasma-discover /tmp/mozilla_fidalgo0/rpmfusion-free-release-26.noarch.rpm
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=2a7fac08e2834840808a1b1e0a14c855;i=16c7;b=9fd90360313d416582f1ce75774084aa;m=300cd925;t=558b402601aa4;x=ebda29438c1e60be
kernel:         4.11.8-300.fc26.x86_64
package:        plasma-discover-5.10.5-1.fc26
reason:         plasma-discover killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Sergey 2017-09-23 14:10:46 EDT
*** Bug 1494861 has been marked as a duplicate of this bug. ***
Comment 19 badmad91211 2017-10-01 10:38:19 EDT
Similar problem has been detected:

I was installing jdk 9 that I'd just downloaded from the official oracle web site.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        plasma-discover /tmp/mozilla_hnbs0/jdk-9_linux-x64_bin.rpm
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=93191c06487340fa997c20ad0422e95d;i=87b;b=dc46bd3415864a2f8520774443c20ee6;m=6ce6196f;t=55a7d25699ae2;x=3e33f2dc00955d14
kernel:         4.12.14-300.fc26.x86_64
package:        plasma-discover-5.10.5-1.fc26
reason:         plasma-discover killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Arivan Amin 2017-10-14 04:37:33 EDT
*** Bug 1502102 has been marked as a duplicate of this bug. ***
Comment 21 Paulo Fidalgo 2017-10-20 05:30:03 EDT
Similar problem has been detected:

I've opened the discover, throuhg a app instalation suggestion when typing in the krunner (ALT+F2)
Then I've seen the application on discover and canceled.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/plasma-discover appstream://chromium-browser.desktop
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=c21300d91e9840f0a090d78fdae071ad;i=119be;b=af0912a9fa0f49faa10e50cb658151ba;m=1f6f13ae;t=55bf6f2051273;x=325ecc40f4c63268
kernel:         4.13.5-200.fc26.x86_64
package:        plasma-discover-5.10.5-1.fc26
reason:         plasma-discover killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Ch. Irshad 2017-10-31 15:07:02 EDT
*** Bug 1508067 has been marked as a duplicate of this bug. ***
Comment 23 Kamil Szmit 2017-11-01 10:49:22 EDT
Similar problem has been detected:

I have rtried to install Skpe from RPM package twice.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        plasma-discover /tmp/mozilla_kamilszmit0/skypeforlinux-64-7.rpm
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=f038ed5bfc6340b682f4af5ed4b3f1d1;i=27b72;b=21684ea599ef43edb40d7d30db49b423;m=b4c73ad2;t=55cecd4efcc07;x=25c4e1a15413c3fe
kernel:         4.13.9-200.fc26.x86_64
package:        plasma-discover-5.10.5-1.fc26
reason:         plasma-discover killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Kamil Szmit 2017-11-01 11:35:05 EDT
Similar problem has been detected:

I have rtried to install Skype from package.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        plasma-discover /tmp/mozilla_kamilszmit0/skypeforlinux-64-7.rpm
crash_function: QQuickItem::qt_static_metacall
executable:     /usr/bin/plasma-discover
journald_cursor: s=f038ed5bfc6340b682f4af5ed4b3f1d1;i=27b72;b=21684ea599ef43edb40d7d30db49b423;m=b4c73ad2;t=55cecd4efcc07;x=25c4e1a15413c3fe
kernel:         4.13.9-200.fc26.x86_64
package:        plasma-discover-5.10.5-1.fc26
reason:         plasma-discover killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 3rdear11 2017-11-03 13:09:22 EDT
*** Bug 1509400 has been marked as a duplicate of this bug. ***
Comment 26 jagget 2017-11-10 03:29:15 EST
*** Bug 1511809 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.